﻿<!DOCTYPE html>
<%@ Page Language="C#" %>
<html dir="ltr">

<head runat="server">
<meta content="de" http-equiv="Content-Language">
<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
<title>Daten erfassen</title>
</head>

<body>

<form id="form1" runat="server">
	<asp:FormView id="FormView1" runat="server" AllowPaging="True" CellPadding="4" DataKeyNames="ID" DataSourceID="Artikeldaten" ForeColor="#333333">
		<EditItemTemplate>
			ID:
			<asp:Label id="IDLabel1" runat="server" Text='<%# Eval("ID") %>' />
			<br />
			Artikelname:
			<asp:TextBox id="ArtikelnameTextBox" runat="server" Text='<%# Bind("Artikelname") %>' />
			<br />
			Preis:
			<asp:TextBox id="PreisTextBox" runat="server" Text='<%# Bind("Preis") %>' />
			<br />
			<asp:LinkButton id="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="Aktualisieren" />
			&nbsp;<asp:LinkButton id="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Abbrechen" />
		</EditItemTemplate>
		<FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
		<HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
		<InsertItemTemplate>
			Artikelname:
			<asp:TextBox id="ArtikelnameTextBox" runat="server" Text='<%# Bind("Artikelname") %>' />
			<br />
			Preis:
			<asp:TextBox id="PreisTextBox" runat="server" Text='<%# Bind("Preis") %>' />
			<br />
			<asp:LinkButton id="InsertButton" runat="server" CausesValidation="True" CommandName="Insert" Text="Einfügen" />
			&nbsp;<asp:LinkButton id="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Abbrechen" />
		</InsertItemTemplate>
		<ItemTemplate>
			ID:
			<asp:Label id="IDLabel" runat="server" Text='<%# Eval("ID") %>' />
			<br />
			Artikelname:
			<asp:Label id="ArtikelnameLabel" runat="server" Text='<%# Bind("Artikelname") %>' />
			<br />
			Preis:
			<asp:Label id="PreisLabel" runat="server" Text='<%# Bind("Preis") %>' />
			<br />
			<asp:LinkButton id="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Bearbeiten" />
			&nbsp;<asp:LinkButton id="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete" Text="Löschen" />
			&nbsp;<asp:LinkButton id="NewButton" runat="server" CausesValidation="False" CommandName="New" Text="Neu" />
		</ItemTemplate>
		<PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
		<RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
	</asp:FormView>
	<asp:SqlDataSource ID="Artikeldaten" runat="server" ConflictDetection="CompareAllValues" ConnectionString="<%$ ConnectionStrings:Artikeldatenbank %>" DeleteCommand="DELETE FROM [tabArtikel] WHERE [ID] = @original_ID AND (([Artikelname] = @original_Artikelname) OR ([Artikelname] IS NULL AND @original_Artikelname IS NULL)) AND (([Preis] = @original_Preis) OR ([Preis] IS NULL AND @original_Preis IS NULL))" InsertCommand="INSERT INTO [tabArtikel] ([Artikelname], [Preis]) VALUES (@Artikelname, @Preis)" OldValuesParameterFormatString="original_{0}" SelectCommand="SELECT * FROM [tabArtikel]" UpdateCommand="UPDATE [tabArtikel] SET [Artikelname] = @Artikelname, [Preis] = @Preis WHERE [ID] = @original_ID AND (([Artikelname] = @original_Artikelname) OR ([Artikelname] IS NULL AND @original_Artikelname IS NULL)) AND (([Preis] = @original_Preis) OR ([Preis] IS NULL AND @original_Preis IS NULL))">
		<DeleteParameters>
			<asp:Parameter Name="original_ID" Type="Int16" />
			<asp:Parameter Name="original_Artikelname" Type="String" />
			<asp:Parameter Name="original_Preis" Type="Decimal" />
		</DeleteParameters>
		<InsertParameters>
			<asp:Parameter Name="Artikelname" Type="String" />
			<asp:Parameter Name="Preis" Type="Decimal" />
		</InsertParameters>
		<UpdateParameters>
			<asp:Parameter Name="Artikelname" Type="String" />
			<asp:Parameter Name="Preis" Type="Decimal" />
			<asp:Parameter Name="original_ID" Type="Int16" />
			<asp:Parameter Name="original_Artikelname" Type="String" />
			<asp:Parameter Name="original_Preis" Type="Decimal" />
		</UpdateParameters>
	</asp:SqlDataSource>
</form>

</body>

</html>
