﻿<!DOCTYPE html>
<%@ Page Language="C#" %>
<html dir="ltr">

<head runat="server">
<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
<title>Beispiel zum Listview-Steuerelement</title>
</head>

<body>

<form id="form1" runat="server">
	<asp:ListView id="ListView1" runat="server" DataKeyNames="ID" DataSourceID="Artikelliste">
		<AlternatingItemTemplate>
			<tr style="background-color:#FFF8DC;">
				<td>
				<asp:Label id="IDLabel" runat="server" Text='<%# Eval("ID") %>' />
				</td>
				<td>
				<asp:Label id="ArtikelnameLabel" runat="server" Text='<%# Eval("Artikelname") %>' />
				</td>
				<td>
				<asp:Label id="PreisLabel" runat="server" Text='<%# Eval("Preis") %>' />
				</td>
			</tr>
		</AlternatingItemTemplate>
		<EditItemTemplate>
			<tr style="background-color:#008A8C;color: #FFFFFF;">
				<td>
				<asp:Button id="UpdateButton" runat="server" CommandName="Update" Text="Aktualisieren" />
				<asp:Button id="CancelButton" runat="server" CommandName="Cancel" Text="Abbrechen" />
				</td>
				<td>
				<asp:Label id="IDLabel1" runat="server" Text='<%# Eval("ID") %>' />
				</td>
				<td>
				<asp:TextBox id="ArtikelnameTextBox" runat="server" Text='<%# Bind("Artikelname") %>' />
				</td>
				<td>
				<asp:TextBox id="PreisTextBox" runat="server" Text='<%# Bind("Preis") %>' />
				</td>
			</tr>
		</EditItemTemplate>
		<EmptyDataTemplate>
			<table runat="server" style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;">
				<tr>
					<td>Es wurden keine Daten zurückgegeben.</td>
				</tr>
			</table>
		</EmptyDataTemplate>
		<InsertItemTemplate>
			<tr style="">
				<td>
				<asp:Button id="InsertButton" runat="server" CommandName="Insert" Text="Einfügen" />
				<asp:Button id="CancelButton" runat="server" CommandName="Cancel" Text="Löschen" />
				</td>
				<td>&nbsp;</td>
				<td>
				<asp:TextBox id="ArtikelnameTextBox" runat="server" Text='<%# Bind("Artikelname") %>' />
				</td>
				<td>
				<asp:TextBox id="PreisTextBox" runat="server" Text='<%# Bind("Preis") %>' />
				</td>
			</tr>
		</InsertItemTemplate>
		<ItemTemplate>
			<tr style="background-color:#DCDCDC;color: #000000;">
				<td>
				<asp:Label id="IDLabel" runat="server" Text='<%# Eval("ID") %>' />
				</td>
				<td>
				<asp:Label id="ArtikelnameLabel" runat="server" Text='<%# Eval("Artikelname") %>' />
				</td>
				<td>
				<asp:Label id="PreisLabel" runat="server" Text='<%# Eval("Preis") %>' />
				</td>
			</tr>
		</ItemTemplate>
		<LayoutTemplate>
			<table runat="server">
				<tr runat="server">
					<td runat="server">
					<table ID="itemPlaceholderContainer" runat="server" border="1" style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
						<tr runat="server" style="background-color:#DCDCDC;color: #000000;">
							<th runat="server">ID</th>
							<th runat="server">Artikelname</th>
							<th runat="server">Preis</th>
						</tr>
						<tr ID="itemPlaceholder" runat="server">
						</tr>
					</table>
					</td>
				</tr>
				<tr runat="server">
					<td runat="server" style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
					<asp:DataPager ID="DataPager1" runat="server">
						<Fields>
							<asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" ShowLastPageButton="True" />
						</Fields>
					</asp:DataPager>
					</td>
				</tr>
			</table>
		</LayoutTemplate>
		<SelectedItemTemplate>
			<tr style="background-color:#008A8C;font-weight: bold;color: #FFFFFF;">
				<td>
				<asp:Label id="IDLabel" runat="server" Text='<%# Eval("ID") %>' />
				</td>
				<td>
				<asp:Label id="ArtikelnameLabel" runat="server" Text='<%# Eval("Artikelname") %>' />
				</td>
				<td>
				<asp:Label id="PreisLabel" runat="server" Text='<%# Eval("Preis") %>' />
				</td>
			</tr>
		</SelectedItemTemplate>
	</asp:ListView>
	<asp:SqlDataSource ID="Artikelliste" runat="server" ConnectionString="<%$ ConnectionStrings:Artikeldatenbank %>" SelectCommand="SELECT * FROM [tabArtikel]">
	</asp:SqlDataSource>
</form>

</body>

</html>
